# 32/64bit spec-file
#
Name:    	task-xfce
Version: 	4.18.0
Release: 	%mkrel 2
Summary: 	Metapackage to install the Xfce desktop environment
Summary(de): Metapaket für die Xfce Desktop-Umgebung
Group:   	Tasks
License: 	GPLv2+
Source0:    xfce4-clean
URL:		http://pclinuxos.com
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

Requires: gtk+3.0
Requires: exo
Requires: garcon
Requires: lib64exo2_0
Requires: lib64garcon1_0
Requires: lib64garcon-gtk3_1_0
Requires: lib64thunarx3_0
Requires: lib64tumbler1_0
Requires: lib64xfce4kbd-private3_0
Requires: lib64xfce4panel2.0_4
Requires: lib64xfce4ui2_0
Requires: lib64xfce4util7
Requires: lib64xfconf0_3
Requires: libxfce4ui
Requires: libxfce4ui-glade
Requires: libxfce4util-i18n
Requires: thunar
Requires: thunar-volman
Requires: tumbler
Requires: xfce4-appfinder
Requires: xfce4-config
Requires: xfce4-panel
Requires: xfce4-power-manager
Requires: xfce4-session
Requires: xfce4-settings
Requires: xfce4-terminal
Requires: xfconf
Requires: xfdesktop
Requires: xfwm4

Requires: xfce4-notifyd
Requires: pnmixer
Requires: xfce4-whiskermenu-plugin
Requires: xfce4-places-plugin

Requires: gvfs

Requires: xfce4-panel-profiles
Requires: pnmixer
Requires: upower
Requires: lib64upower-glib3
Requires: mousepad
Requires: xfce4-terminal
Requires: adwaita-icon-theme
Requires: la-capitaine-icons

Obsoletes: xfbib

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce PCLinuxOS.

Xfce panel plugins can be found in %{name}-plugins.

#german
%description -l de
Dieses Paket ist ein Meta-Paket, dass heißt seine Zweck ist es 
die Abhängigkeiten für den Betrieb des PCLinuxOS Xfce-Desktops zu enthalten. 

Xfce Panel Plugins können in %{name}-plugins gefunden werden.

#french
%description -l fr
Ce forfait est un méta-paquet, ce qui signifie que son but est de contenir 
dépendances de la gestion du bureau Xfce PCLinuxOS. 

Plugins panneau Xfce peuvent être trouvés dans %{name}-connexions.

#spanish
%description -l es
su paquete es un meta-paquete, lo que significa que su finalidad es contener 
dependencias para el funcionamiento del escritorio de PCLinuxOS Xfce. 

Plugins panel Xfce se puede encontrar en %{name}-enchufes.

#polish
%description -l pl
Jego opakowanie jest meta-pakietu, co oznacza, że jej celem jest ograniczenie 
zależności do biegania PCLinuxOS Xfce Desktop. 

Xfce panel wtyczek można znaleźć w %{name}-wtyczek.

#serbian
%description -l sr
његов пакет је мета пакет, што значи да је његова сврха је да садрже 
зависности за покретање Мандрива Ксфце десктоп. 

Ксфце панела додатака могу се наћи у %{name}-додатака.

#dutch
%description -l nl
zijn pakket is een meta-pakket, wat betekent dat het doel ervan is om te bevatten 
afhankelijkheden voor het uitvoeren van de Xfce PCLinuxOS bureaublad. 

Xfce panel plugins kan gevonden worden in %{name}-plugins.

%package plugins
Summary:	Metapackage for the Xfce panel plugins
Summary(de):	Metapaket für die Xfce-Panelerweiterungen
Group:		Tasks
URL:		http://wiki.PCLinuxOS.com/en/XfceLive

Requires: task-xfce
Requires: thunar-archive-plugin
Requires: thunar-media-tags-plugin
Requires: thunar-shares-plugin
Requires: thunar-vcs-plugin
Requires: thunarx-python
Requires: xfce4-battery-plugin

Requires: xfce4-diskperf-plugin
Requires: xfce4-fsguard-plugin
Requires: xfce4-genmon-plugin
Requires: xfce4-mount-plugin
Requires: xfce4-mpc-plugin
Requires: xfce4-netload-plugin
Requires: xfce4-notes-plugin
Requires: xfce4-screensaver

Requires: xfce4-smartbookmark-plugin
Requires: xfce4-systemload-plugin
Requires: xfce4-timer-plugin
Requires: xfce4-verve-plugin
Requires: xfce4-wavelan-plugin
Requires: xfce4-weather-plugin
Requires: xfce4-xkb-plugin

Requires: xfce4-datetime-plugin
Requires: xfce4-time-out-plugin
Requires: xfce4-cpu-freq-plugin
Requires: xfce4-eyes-plugin
Requires: xfce4-clipman-plugin


%description plugins
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce panel plugins.

%description -l de
Dieses Paket ist ein Metapaket, sein Zweck ist es alle Abbhängigkeiten
für die Xfce-Panelerweiterungen zu installieren.

%package apps
Summary:	Metapackage for the Xfce applications
Group:		Tasks
URL:		http://wiki.PCLinuxOS.com/en/XfceLive

Requires: task-xfce
Requires: catfish
Requires: gigolo
Requires: parole
Requires: ristretto
Requires: xfburn
Requires: xfce4-dict
Requires: xfce4-screenshooter
Requires: xfce4-taskmanager
Requires: xarchiver
Requires: mousepad
Requires: xfce4-terminal


%description apps
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce applications.


%package extras
Summary:	Metapackage for the extra Xfce applications
Group:		Tasks
URL:		http://wiki.PCLinuxOS.com/en/XfceLive

Requires: task-xfce
Requires: lib64xfdashboard0
Requires: xfdashboard
Requires: xfce4-sensors-plugin
Requires: xfmpc

%description extras
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the extra Xfce applications and plugins with
additional dependencies.

%prep

%build

%install
install -Dm 0755 %SOURCE0 %buildroot/%{_bindir}/xfce4-clean

%clean
rm -rf %buildroot

%files
%{_bindir}/xfce4-clean

%files plugins

%files apps

%files extras

%post
gtk-update-icon-cache /usr/share/icons/hicolor

%postun
gtk-update-icon-cache /usr/share/icons/hicolor

%changelog
* Tue Sep 26 2023 tex - 4.18.0-1pclos2023
- drop pulse mixer for pnmixer so
- pulse audio can be removed from xfce

* Sun Dec 27 2020 tex - 4.16.0-2pclos2020
- obsolete dead xfbib

* Sun Dec 27 2020 tex - 4.16.0-1pclos2020
- update
